jimtcl: update to 0.77, the current version, enable only specific modules 00/3700/5
authorPaul Fertser <fercerpav@gmail.com>
Tue, 16 Aug 2016 06:52:28 +0000 (09:52 +0300)
committerPaul Fertser <fercerpav@gmail.com>
Sun, 25 Dec 2016 09:20:42 +0000 (09:20 +0000)
commit56d163ce79510c7756567df00ae54155757eaa0f
treec6af9a1e824bf6773417816047b908a0db9f7b62
parenta5cff3acd37770b2e0f54857c63eee5a1f85fea0
jimtcl: update to 0.77, the current version, enable only specific modules

This is needed to fix build on aarch64 to get updated config.guess.

Because some newer JimTcl modules that get enabled are failing to
build on some of the platforms OpenOCD supports, enable only a
fixed set that shouldn't cause any issues.

We also disable running Jim Tcl tests on distcheck because they never
worked (before 85358e479e5bbf295a5aaf743f3c29a5e1a4fd1c Jim commit)
but didn't break Jenkins build; with newer version they're getting run
and fail due to limited permissions for filesystem and networking
operations.

Change-Id: I0b6c6a00bf2cf0902bbb01c9c0224fe93c74ac94
Signed-off-by: Paul Fertser <fercerpav@gmail.com>
Reviewed-on: http://openocd.zylin.com/3700
Tested-by: jenkins
Reviewed-by: Andreas Fritiofson <andreas.fritiofson@gmail.com>
Makefile.am
configure.ac
jimtcl